﻿using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    /// 커스텀 데이터 템플리트 선택자
    /// </summary>
    public class CustomDataTemplateSelector : DataTemplateSelector
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 일반 템플리트 - NormalTemplate

        /// <summary>
        /// 일반 템플리트
        /// </summary>
        public DataTemplate NormalTemplate { get; set; }

        #endregion
        #region 강조 템플리트 - AccentTemplate

        /// <summary>
        /// 강조 템플리트
        /// </summary>
        public DataTemplate AccentTemplate { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 템플리트 선택하기 (코어) - SelectTemplateCore(item)

        /// <summary>
        /// 템플리트 선택하기 (코어)
        /// </summary>
        /// <param name="item">항목</param>
        /// <returns>템플리트</returns>
        protected override DataTemplate SelectTemplateCore(object item)
        {
            if((int)item % 2 == 0)
            {
                return NormalTemplate;
            }
            else
            {
                return AccentTemplate;
            }
        }

        #endregion
    }
}